summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAleksander Mistewicz <a.mistewicz@samsung.com>2016-12-23 12:20:01 (GMT)
committerAleksander Mistewicz <a.mistewicz@samsung.com>2017-03-29 10:48:09 (GMT)
commit1b358cef8151b1a4bb7c98fa445d037aedbe9837 (patch)
tree5a56ebe33521697b40edbb42ca311cdea4807730
parent323b03184e9c4ee1235b11aec55843b803833d95 (diff)
downloadmajor-1b358cef8151b1a4bb7c98fa445d037aedbe9837.zip
major-1b358cef8151b1a4bb7c98fa445d037aedbe9837.tar.gz
major-1b358cef8151b1a4bb7c98fa445d037aedbe9837.tar.bz2
Retry run_smoke_sdbrefs/changes/57/108757/3
Run enlightenment_info in separate thread. Change-Id: I35db4fd4261ede0ab23a61f6ca6eb88a73e2fdec Signed-off-by: Aleksander Mistewicz <a.mistewicz@samsung.com>
-rwxr-xr-xtct/run/run.sh14
-rwxr-xr-xtct/run/smoke_tests.sh7
2 files changed, 20 insertions, 1 deletions
diff --git a/tct/run/run.sh b/tct/run/run.sh
index a226367..e1aa68c 100755
--- a/tct/run/run.sh
+++ b/tct/run/run.sh
@@ -97,6 +97,20 @@ run_smoke_sdb() {
ID="$1"
test -n "${ID}" || die "Missing argument: id"
sdb -s "${ID}" shell sh "/tmp/smoke.sh" > sysctl.result
+ SLEEP=10
+ while ! grep -q "FINISH_SUCCESS" sysctl.result
+ do
+ if [ ${SLEEP} -ge 20 ]
+ then
+ sleep "$SLEEP"
+ fi
+ if [ ${SLEEP} -ge 60 ]
+ then
+ die "Timeout: sdb connection failed!"
+ fi
+ sdb -s "${ID}" shell sh "/tmp/smoke.sh" > sysctl.result
+ SLEEP=$((SLEEP+10))
+ done
}
run_avocado_ssh() {
diff --git a/tct/run/smoke_tests.sh b/tct/run/smoke_tests.sh
index 6c7008b..127c052 100755
--- a/tct/run/smoke_tests.sh
+++ b/tct/run/smoke_tests.sh
@@ -29,7 +29,8 @@ su -c 'DBUS_SESSION_BUS_ADDRESS="unix:abstract=/run/user/$UID/dbus/user_bus_sock
uptime
echo -e "\nTOP 10 processes by cputime"
ps -eo cputime,rss,vsz,pmem,command --sort -cputime | head -n 10
-enlightenment_info -topvwins
+sh -c "enlightenment_info -topvwins > /tmp/topvwins" &
+ENLIGHTENMENT_PID="$!"
BEFORE="$(journalctl | wc -l)"
sleep 10
AFTER="$(journalctl | wc -l)"
@@ -38,7 +39,11 @@ echo "Lines in journal (growth in last 10s): $AFTER ($JOURNAL_DIFF_CNT)"
ls "${OPT_CRASH_PATH}"/*
journalctl -p err | cat
+kill -9 "${ENLIGHTENMENT_PID}"
+cat "/tmp/topvwins"
+
echo SERVICES_FAIL_CNT "$(grep -c "failed" "$SYS_RESULT_TMP")"
echo JOURNAL_DIFF_CNT "$JOURNAL_DIFF_CNT"
echo JOURNAL_TOTAL_CNT "$AFTER"
echo OPT_CRASH_CNT "$(find "${OPT_CRASH_PATH}" -maxdepth 2 | wc -l)"
+echo FINISH_SUCCESS